Bug 1875900 - Service catalog images are in CI releases but not ART releases
Summary: Service catalog images are in CI releases but not ART releases
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Service Catalog
Version: 4.5
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: 4.6.0
Assignee: Jesus M. Rodriguez
QA Contact: Jian Zhang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-04 15:53 UTC by Clayton Coleman
Modified: 2020-10-27 16:38 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
We already notified customers about the deprecation and removal of Service Catalog. Also this bug was to remove the images from CI builds.
Clone Of:
Environment:
Last Closed: 2020-10-27 16:37:57 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift release pull 11637 0 None closed Bug 1875900: stop promoting svcat*operators beyond 4.5 2020-12-04 17:43:11 UTC
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 16:38:11 UTC

Description Clayton Coleman 2020-09-04 15:53:55 UTC
The 4.6 CI release contains:

    cluster-svcat-apiserver-operator git 954e09cf sha256:882e5ce3ca1e1e18ffe18a872a8a969317e6ea07b617e22732b40da598c4d71b
    cluster-svcat-controller-manager-operator git b1168c6c sha256:3ff046a021724da5205c4d97e44acc67ee324593fe1901ff14fcde337da2947d (edited) 

But there are no equivalent images in ART. If the images have been removed from ART deliberately, they must be removed from CI and the process of building them and putting them into the 4.6 CI integration stream should be removed as well.

If they were incorrectly removed from ART, they should be added.

Comment 1 Clayton Coleman 2020-09-04 15:54:46 UTC
https://github.com/openshift/ocp-build-data/commit/f664de17827956e409f558186145bfdd5dec154b restored them to 4.5, if they were incorrectly not restored in 4.6, they must be restored there.

Comment 2 W. Trevor King 2020-09-04 16:07:26 UTC
From 4.4 to 4.5, the restore was important, because 4.4 had running operators and we wanted 4.5's cleanup jobs deployed to remove those operators on 4.4 -> 4.5 updates.

From 4.5 to 4.6, we can remove the images if we want.  Or keep them around.  Doesn't really matter, but good to be consistent about it.

In 4.7, once we get CVO object removal [1], somebody will need to hand the CVO manifests with deletion annotations to get it to clean up the remaining dangling resources [2].  Doesn't matter to me if you keep the svcat images in the release to use for that purpose, or remove them and add the deletion manifests to some other image which remains part of the release.

[1]: https://github.com/openshift/enhancements/pull/419
[2]: https://github.com/openshift/cluster-svcat-apiserver-operator/tree/954e09cfca522e175a23cf57b00c2b634c1d49dc/manifests

Comment 3 Jesus M. Rodriguez 2020-09-04 16:52:13 UTC
Removed from CI for master, release-4.6 and release-4.7.

Comment 4 Jesus M. Rodriguez 2020-09-04 17:49:48 UTC
(In reply to W. Trevor King from comment #2)
> From 4.4 to 4.5, the restore was important, because 4.4 had running
> operators and we wanted 4.5's cleanup jobs deployed to remove those
> operators on 4.4 -> 4.5 updates.
> 
> From 4.5 to 4.6, we can remove the images if we want.  Or keep them around. 
> Doesn't really matter, but good to be consistent about it.
> 
> In 4.7, once we get CVO object removal [1], somebody will need to hand the
> CVO manifests with deletion annotations to get it to clean up the remaining
> dangling resources [2].  Doesn't matter to me if you keep the svcat images
> in the release to use for that purpose, or remove them and add the deletion
> manifests to some other image which remains part of the release.
> 
> [1]: https://github.com/openshift/enhancements/pull/419
> [2]:
> https://github.com/openshift/cluster-svcat-apiserver-operator/tree/
> 954e09cfca522e175a23cf57b00c2b634c1d49dc/manifests

I can see a few options:
1. keep the svcat operator images around for 4.6 and then update for 4.7 with delete annotation
2. remove both svcat operator images for 4.6 then add a single new image with just the manifests with the delete annotation
3. remove both svcat operator images for 4.6 *and* 4.7, add the manifests with delete annotation to some other place; could the CVO carry these 2 manifests?

The implications of the above are:
1. images carried that aren't really being touched for 4.6. They will end up getting tested but IIRC the CVO won't even run the jobs again if a 4.5 cluster already has the jobs. So keeping the images around seems to just eat cycles

2. This option means the svcat images will be gone. Then for 4.7 a new image that holds just the manifests would be introduced. This means setting up new repos and image configs but might be easier to explain why it exists.

3. this option looks the nicest because the svcat operator images will be gone from both releases and no new image would need to be created. Based on the enhancement proposal seems we only need the 2 svcat job manifests with the delete annotation to be available somewhere. Is there anything that we could carry these manifests in?

Comment 7 Jian Zhang 2020-09-10 07:00:41 UTC
Strange, still verify, unit, e2e-aws, e2e-aws-upgrade tests are required for the master branch. See PR: https://github.com/openshift/cluster-svcat-apiserver-operator/pull/95 and screenshot: https://user-images.githubusercontent.com/15416633/92692121-4656b700-f376-11ea-9a05-c4815dac2b9f.png Or am I missing soemthing?

Comment 8 Jesus M. Rodriguez 2020-09-10 15:13:04 UTC
DPTP fixed this on the repo. Looking at your PR it only shows being blocked by tide.

Comment 9 Jian Zhang 2020-09-11 01:32:31 UTC
Hi Jesus,

Yes, it looks good now. Verify it. BTW, could you help merge the two PRs? Thanks! It did fix the doc link.

https://github.com/openshift/cluster-svcat-apiserver-operator/pull/95
https://github.com/openshift/cluster-svcat-controller-manager-operator/pull/82

Comment 11 errata-xmlrpc 2020-10-27 16:37:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.